Skip to main content

Properties

Search Properties

POST /api/v1/properties/search

curl -X POST https://api.rushdb.com/api/v1/properties/search \
-H "Authorization: Bearer $RUSHDB_API_KEY" \
-H "Content-Type: application/json" \
-d '{"where": {"type": "string"}}'

Get Property by ID

GET /api/v1/properties/:propertyId

curl https://api.rushdb.com/api/v1/properties/prop-123 \
-H "Authorization: Bearer $RUSHDB_API_KEY"

Get Property Values

POST /api/v1/properties/:propertyId/values

Returns distinct values for a property — useful for filter UIs.

curl -X POST https://api.rushdb.com/api/v1/properties/prop-123/values \
-H "Authorization: Bearer $RUSHDB_API_KEY" \
-H "Content-Type: application/json" \
-d '{"query": "sci", "orderBy": "asc", "limit": 100}'
FieldTypeDescription
querystringFilter values containing this text
orderBy"asc" | "desc"Sort direction
skipnumberPagination offset
limitnumberMax values to return

Delete Property

DELETE /api/v1/properties/:propertyId

warning

Deletes the property and removes it from all records in the database.

curl -X DELETE https://api.rushdb.com/api/v1/properties/prop-123 \
-H "Authorization: Bearer $RUSHDB_API_KEY"